clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
VirtualNearMissCheck.cpp File Reference
`#include "VirtualNearMissCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/CXXInheritance.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/Lex/Lexer.h"`
Include dependency graph for VirtualNearMissCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::misc

## Functions
static bool | clang::tidy::misc::isOverrideMethod (const CXXMethodDecl *MD)
| Finds out if the given method overrides some method. More...
static bool | clang::tidy::misc::checkOverridingFunctionReturnType (const ASTContext *Context, const CXXMethodDecl *BaseMD, const CXXMethodDecl *DerivedMD)
| Checks whether the return types are covariant, according to C++[class.virtual]p7. More...
static bool | clang::tidy::misc::checkParamTypes (const CXXMethodDecl *BaseMD, const CXXMethodDecl *DerivedMD)
static bool | clang::tidy::misc::checkOverrideWithoutName (const ASTContext *Context, const CXXMethodDecl *BaseMD, const CXXMethodDecl *DerivedMD)
static bool | clang::tidy::misc::checkOverrideByDerivedMethod (const CXXMethodDecl *BaseMD, const CXXMethodDecl *DerivedMD)
| Check whether BaseMD overrides DerivedMD. More...
static std::string | clang::tidy::misc::generateMethodId (const CXXMethodDecl *MD)
| Generate unique ID for given MethodDecl. More...